#
#
# NCD distances
.Phoney : all 

all : NCD_Unigram.txt HenryFieldingUnigram.txt JaneAustenUnigram.txt BronteUnigram.txt PlatoUnigram.txt

NCD_Unigram.txt : HenryFieldingUnigram.txt JaneAustenUnigram.txt BronteUnigram.txt PlatoUnigram.txt NCDcountfile.pl
	perl NCDcountfile.pl HenryFieldingUnigram.txt JaneAustenUnigram.txt >NCD_Unigram.txt
	perl NCDcountfile.pl HenryFieldingUnigram.txt BronteUnigram.txt >>NCD_Unigram.txt
	perl NCDcountfile.pl HenryFieldingUnigram.txt PlatoUnigram.txt >>NCD_Unigram.txt
	perl NCDcountfile.pl JaneAustenUnigram.txt BronteUnigram.txt >>NCD_Unigram.txt
	perl NCDcountfile.pl JaneAustenUnigram.txt PlatoUnigram.txt >>NCD_Unigram.txt
	perl NCDcountfile.pl BronteUnigram.txt PlatoUnigram.txt >>NCD_Unigram.txt
	
# Unigram counts
HenryFieldingUnigram.txt : HenryFielding/*.txt Ngramcount.pl
	perl Ngramcount.pl -np 1 HenryFielding/*.txt > HenryFieldingUnigram.txt

JaneAustenUnigram.txt : JaneAusten/*.txt Ngramcount.pl
	perl Ngramcount.pl -np 1 JaneAusten/*.txt > JaneAustenUnigram.txt

BronteUnigram.txt : Bronte/*.txt Ngramcount.pl
	perl Ngramcount.pl -np 1 Bronte/*.txt > BronteUnigram.txt

PlatoUnigram.txt : Plato/*.txt Ngramcount.pl
	perl Ngramcount.pl -np 1 Plato/*.txt > PlatoUnigram.txt

# Unpacking
HenryFielding/*.txt : HenryFielding.tbz2
	tar --bzip2 -xvf HenryFielding.tbz2
	touch HenryFielding/*.txt

JaneAusten/*.txt : JaneAusten.tbz2
	tar --bzip2 -xvf JaneAusten.tbz2
	touch JaneAusten/*.txt

Bronte/*.txt : Bronte.tbz2
	tar --bzip2 -xvf Bronte.tbz2
	touch Bronte/*.txt

Plato/*.txt : Plato.tbz2
	tar --bzip2 -xvf Plato.tbz2
	touch Plato/*.txt




